#ignore target dir
target*/

#gradle files
.gradle*/

*.orig
#
# Eclipse project files
#
#.classpath
#.project
#.settings*/
.springBeans
.metadata/
war*/

#
# IntelliJ IDEA project files
#
.idea*/
.classes*/
*.ipr
*.iml
*.iws
*.ids
atlassian-ide-plugin.xml

#ignore NetBeans project files
nb-configuration.xml
profiles.xml
catalog.xml
nbactions.xml

#ignore some temporary files
*.vpp~*

# os meta files
Thumbs.db
.DS_Store


pom.xml.versionsBackup
*.jasper

#studio
.studio*/

resources/src/main/generated-resources*/
resources/src/main/resources/database/database_structure.xml

frontend/build*/
frontend/tmp*/
frontend/.angular*/
frontend/build_dev*/
frontend/dist*/
frontend/node_modules*/
frontend/src/ts/**/*.js
frontend/src/ts/**/*.js.map
frontend/src/ts/**/*.ngsummary.json
frontend/src/ts/aot*/
frontend/src/ts/generated*/
npm-debug.log

#Sublime project files
*.sublime-project
*.sublime-workspace
sync-backend.ps1
sync-frontend.ps1
config/kafka_data